// creator  : weidu.exe (version 23100)
// argument : SARTHF2.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SARTHF2~

IF ~Global("squip","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #73462 /* ~What do you want?  You think you can hassle me just because I'm a kid?~ */
  IF ~~ THEN REPLY #73463 /* ~Can you tell me anything about Melissan?~ */ GOTO 1
  IF ~!Dead("gromnir")~ THEN REPLY #73464 /* ~Do you know anyway I can get inside the castle to see Gromnir?~ */ GOTO 1
  IF ~Global("lazarus","GLOBAL",2)
Global("MuddyFootprints","GLOBAL",1)
~ THEN REPLY #73465 /* ~Do you know anything about a missing spellbook?~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.1 0.0
  SAY #73466 /* ~I don't know anything about that... I'm just a kid!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.2
  SAY #73467 /* ~Oh, sure... just cause I'm a street urchin I have to know about stolen books!  Everyone always blames me!  'Squip stole this!'  'Squip took that!'  You got no proof!~ */
  IF ~~ THEN REPLY #73469 /* ~I have proof... small muddy footprints.  Like a child's footprints.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #73468 /* ~Okay, yeah... I might know something about that.  Maybe I can help you out... for a price.  A thousand gold will get me talking!~ */
  IF ~PartyGoldGT(999)
~ THEN REPLY #73471 /* ~You drive a hard bargain, Squip.  Fine, here it is.  1,000 gold.  Now start talking.~ */ DO ~TakePartyGold(1000)
~ GOTO 4
  IF ~PartyGoldGT(4)
~ THEN REPLY #73472 /* ~A thousand gold?  Forget it, Squip.  I'll give you 5 - no more, no less.~ */ DO ~TakePartyGold(5)
~ GOTO 5
  IF ~~ THEN REPLY #73473 /* ~Here's a deal for you Squip... start talking and I won't smack you around!~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #73474 /* ~A thousand gold!  I'm rich!  Filthy, stinkin' rich!  Okay, here's the scoop:~ */
  IF ~~ THEN UNSOLVED_JOURNAL #73490 /* ~Lazarus' Missing Spellbook

A street urchin named Squip told me he stole the book and gave it to Hectan, the man Lazarus originally suspected of the crime.~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 3.1
  SAY #73475 /* ~Five gold!  I've never had so much money at once!  Okay, here's the scoop:~ */
  IF ~~ THEN UNSOLVED_JOURNAL #73490 /* ~Lazarus' Missing Spellbook

A street urchin named Squip told me he stole the book and gave it to Hectan, the man Lazarus originally suspected of the crime.~ */ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 3.2
  SAY #73476 /* ~You big bully... I'm just a kid you know!  Okay, don't go getting all mean and nasty, I'll talk.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #73490 /* ~Lazarus' Missing Spellbook

A street urchin named Squip told me he stole the book and gave it to Hectan, the man Lazarus originally suspected of the crime.~ */ GOTO 7
END

IF ~Global("squip","GLOBAL",1)~ THEN BEGIN 7 // from: 6.0 5.0 4.0
  SAY #73478 /* ~I stole that book for Hectan... he paid me to do it.  But I don't have the book no more.  I gave it to Hectan.  Honest.~ */
  IF ~~ THEN DO ~SetGlobal("squip","GLOBAL",1)~ EXIT
END
